=== debian/control ===
Source: xorg-server
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 po-debconf,
 quilt,
 pkg-config,
 bison,
 flex,
 xutils-dev (>= 1:7.6+4),
 xfonts-utils (>= 1:7.5+1),
 x11proto-dev (>= 2018.4),
 xtrans-dev (>= 1.3.5),
 libxau-dev (>= 1:1.0.5-2),
 libxdmcp-dev (>= 1:0.99.1),
 libxfont-dev (>= 1:2.0.1),
 libxkbfile-dev (>= 1:0.99.1),
 libpixman-1-dev (>= 0.27.2),
 libpciaccess-dev (>= 0.12.901),
 libgcrypt-dev,
 nettle-dev,
 libudev-dev (>= 151-3) [linux-any],
 libselinux1-dev (>= 2.0.80) [linux-any],
 libaudit-dev [linux-any],
 libdrm-dev (>= 2.4.89) [!hurd-i386],
 libgl1-mesa-dev (>= 9.2),
 mesa-common-dev,
 libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
 libxmuu-dev (>= 1:0.99.1),
 libxext-dev (>= 1:0.99.1),
 libx11-dev (>= 2:1.6),
 libxrender-dev (>= 1:0.9.0),
 libxi-dev (>= 2:1.6.99.1),
 libdmx-dev (>= 1:1.0.1),
 libxpm-dev (>= 1:3.5.3),
 libxaw7-dev (>= 1:0.99.1),
 libxt-dev (>= 1:0.99.1),
 libxmu-dev (>= 1:0.99.1),
 libxtst-dev (>= 1:0.99.1),
 libxres-dev (>= 1:0.99.1),
 libxfixes-dev (>= 1:3.0.0),
 libxv-dev,
 libxinerama-dev,
 libxshmfence-dev (>= 1.1) [!hurd-i386],
# glamor
 libepoxy-dev [linux-any kfreebsd-any],
 libegl1-mesa-dev [linux-any kfreebsd-any],
 libgbm-dev (>= 10.2) [linux-any kfreebsd-any],
# XCB bits for Xephyr
 libx11-xcb-dev,
 libxcb1-dev,
 libxcb-xkb-dev,
 libxcb-shape0-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-util0-dev,
 libxcb-image0-dev,
 libxcb-icccm4-dev,
 libxcb-shm0-dev,
 libxcb-keysyms1-dev,
 libxcb-randr0-dev,
 libxcb-xv0-dev,
 libxcb-glx0-dev,
 libxcb-xf86dri0-dev (>= 1.6),
# unit tests
 xkb-data,
 x11-xkb-utils,
# arc4random_buf(), getpeereid()
 libbsd-dev,
# xwayland
 libnvidia-egl-wayland-dev,
 libwayland-dev [linux-any],
 wayland-protocols (>= 1.10) [linux-any],
#logind
  libdbus-1-dev (>= 1.0) [linux-any],
# systemd-daemon
  libsystemd-dev [linux-any],
Build-Depends-Indep: xz-utils
Standards-Version: 3.9.8
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/xorg-team/xserver/xorg-server.git
Vcs-Browser: https://salsa.debian.org/xorg-team/xserver/xorg-server
Homepage: https://www.x.org/

Package: xserver-xorg-core
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 keyboard-configuration [linux-any kfreebsd-any],
 udev (>= 149) [linux-any],
 devd [kfreebsd-any],
# for glamor; not a shlibdep because we use epoxy
 libegl1 [linux-any kfreebsd-any],
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 libgl1-mesa-dri (>= 7.10.2-4),
 default-logind | logind,
Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
Breaks:
 libgl1-mesa-dri (<< 18.0.5),
 xserver-xorg (<< 1:7.7+10~),
 systemd (<< 226-4~),
Replaces:
 xserver-xorg-video-modesetting,
 xserver-xorg (<< 1:7.7+10~),
Conflicts:
 xserver-xorg-input-evtouch,
 xserver-xorg-video-modesetting,
Provides:
 ${videoabi},
 ${inputabi},
 xserver-xorg-video-modesetting,
Description: Xorg X server - core server
 The Xorg X server is an X server for several architectures and operating
 systems, which is derived from the XFree86 4.x series of X servers.
 .
 The Xorg server supports most modern graphics hardware from most vendors,
 and supersedes all XFree86 X servers.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xserver-xorg-core-udeb
Package-Type: udeb
Section: debian-installer
# exclude sparc because of linker errors
Architecture: any
Depends:
# merged: xserver-common (>= ${source:Version}),
 xkb-data-udeb,
 x11-xkb-utils-udeb,
# disabled: keyboard-configuration [linux-any kfreebsd-any],
 udev-udeb (>= 149) [linux-any],
 devd-udeb [kfreebsd-any],
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 ${videoabi},
 ${inputabi},
Description: Xorg X server - core server
 This is a udeb, or a microdeb, for the debian-installer.

Package: xserver-xorg-dev
Architecture: any
Depends:
 libpixman-1-dev (>= 0.27.2),
 x11proto-dev (>= 2018.4),
 libxfont-dev,
 libxkbfile-dev,
 libpciaccess-dev,
 mesa-common-dev,
 ${misc:Depends},
Description: Xorg X server - development files
 This package provides development files for the X.Org ('Xorg') X server.
 This is not quite the same as the DDK (Driver Development Kit) from the
 XFree86 4.x and X.Org 6.7, 6.8 and 6.9 series of servers; it provides
 headers and a pkg-config file for drivers using autotools to build
 against.
 .
 Unless you are developing or building a driver, you probably want
 xserver-xorg and/or xserver-xorg-core instead.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xdmx
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: distributed multihead X server
 Xdmx is a proxy X server that uses one or more other X servers as its
 display device(s). It provides multi-head X functionality for displays that
 might be located on different machines. Xdmx functions as a front-end X server
 that acts as a proxy to a set of back-end X servers. All of the visible
 rendering is passed to the back-end X servers. Clients connect to the Xdmx
 front-end, and everything appears as it would in a regular multi-head
 configuration. If Xinerama is enabled (e.g., with +xinerama on the command
 line), the clients see a single large screen.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xdmx-tools
Architecture: any
Depends:
 xdmx,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Distributed Multihead X tools
 This package provides a collection of tools used for administration of
 the Xdmx server; see the xdmx package for more information.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xnest
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Provides: xserver
Description: Nested X server
 Xnest is a nested X server that simply relays all its requests to another
 X server, where it runs as a client.  This means that it appears as another
 window in your current X session.  Xnest relies upon its parent X server
 for font services.
 .
 Use of the Xephyr X server instead of Xnest is recommended.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xvfb
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: xauth
Provides: xserver
Multi-Arch: foreign
Description: Virtual Framebuffer 'fake' X server
 Xvfb provides an X server that can run on machines with no display hardware
 and no physical input devices. It emulates a dumb framebuffer using virtual
 memory. The primary use of this server was intended to be server testing,
 but other novel uses for it have been found, including testing clients
 against unusual depths and screen configurations, doing batch processing with
 Xvfb as a background rendering engine, load testing, as an aid to porting the
 X server to a new platform, and providing an unobtrusive way to run
 applications that don't really need an X server but insist on having one
 anyway.
 .
 This package also contains a convenience script called xvfb-run which
 simplifies the automated execution of X clients in a virtual server
 environment. This convenience script requires the use of the xauth
 program.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xserver-xephyr
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Provides: xserver
Description: nested X server
 Xephyr is an X server that can be run inside another X server,
 much like Xnest. It is based on the kdrive X server, and as a
 result it supports newer extensions than Xnest, including render and
 composite.
 .
 More information about X.Org can be found at:
 <URL:https://www.x.org>
 .
 This package is built from the X.org xserver module.

Package: xserver-common
Architecture: all
Multi-Arch: foreign
Depends:
 x11-common,
 xkb-data,
 x11-xkb-utils,
 ${misc:Depends},
Recommends:
 xfonts-base,
 xauth,
Replaces: xserver-xorg-core (<< 2:1.5.2)
Description: common files used by various X servers
 This package provides files necessary for all X.Org based X servers.

Package: xorg-server-source
Architecture: all
Depends:
 ${misc:Depends},
Description: Xorg X server - source files
 This package provides original Debian (with Debian patches already
 applied, and autotools files updated) sources for the X.Org ('Xorg')
 X server shipped in a tarball.  This enables other projects re-using
 X server codebase (e.g. VNC servers) to (re-)use officially
 Debian-supported version of the X xserver for their builds.
 .
 Unless you are building a software product using X server sources,
 you probably want xserver-xorg and/or xserver-xorg-core instead.

Package: xwayland
Architecture: linux-any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Xwayland X server
 This package provides an X server running on top of wayland, using wayland
 input devices for input and forwarding either the root window or individual
 top-level windows as wayland surfaces.

Package: xserver-xorg-legacy
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Breaks:
 x11-common (<< 1:7.7+10~),
 xserver-xorg-core (<< 2:1.17.2-3~),
Replaces:
 x11-common (<< 1:7.7+10~),
 xserver-xorg-core (<< 2:1.17.2-3~),
Description: setuid root Xorg server wrapper
 This package provides a wrapper for the Xorg X server, which is
 necessary for legacy drivers and non-Linux kernels.
