## xorg-server 21.1.7

=== meson_options.txt ===
--- 
+++ 
@@ -116,8 +116,14 @@
         description: 'Application name')
 option('bundle-id-prefix', type: 'string', value: 'org.x',
         description: 'RDNS prefix for bundle identifier')
+option('bundle-version', type: 'string', value: 'auto',
+        description: 'The CFBundleVersion for the application bundle')
+option('bundle-version-string', type: 'string', value: 'auto',
+        description: 'The CFBundleShortVersionString for the application bundle')
 option('sparkle-feed-url', type: 'string',
         description: 'Feed URL for autoupdating with the Sparkle Framework (default: disabled)')
+option('sparkle-public-edkey', type: 'string',
+        description: 'Public EdDSA key for verifying updates from the Sparkle feed (default: disabled)')
 option('xpbproxy', type: 'boolean', value: false,
         description: 'Build a standalone X pasteboard proxy')
