## xorg-server 21.1.8%2B1revyos1

=== debian/changelog ===
xorg-server (3:21.1.8+1revyos1) unstable; urgency=medium

  * trans format 1.0 to 3.0 (native)
  * modify glx extension installation directory

 -- Han Gao <gaohan@iscas.ac.cn>  Sun, 08 Oct 2023 21:01:25 +0800

xorg-server (2:21.1.8-1) unstable; urgency=medium

  * patches: Drop an obsolete patch. (Closes: #1034413)
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 01 Aug 2023 12:26:02 +0300

xorg-server (2:21.1.7-3) unstable; urgency=medium

  * Enable DRI2 for the udeb build, needed in addition to DRM support
    since 9c81b8f5b5 to build the modesetting driver. This fixes failures
    to start X in the graphical installer under UTM (Closes: #1035014).
    Thanks to Keith Toh for the report and the follow-up tests!

 -- Cyril Brulebois <kibi@debian.org>  Wed, 03 May 2023 03:41:41 +0200

xorg-server (2:21.1.7-2) unstable; urgency=high

  * composite: Fix use-after-free of the COW
    ZDI-CAN-19866/CVE-2023-1393

 -- Julien Cristau <jcristau@debian.org>  Wed, 29 Mar 2023 15:11:07 +0200

xorg-server (2:21.1.7-1) unstable; urgency=medium

  * New upstream release
    + Xi: fix potential use-after-free in DeepCopyPointerClasses
      (CVE-2023-0494, closes: #1030777)

 -- Julien Cristau <jcristau@debian.org>  Tue, 07 Feb 2023 14:15:45 +0100

xorg-server (2:21.1.6-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches.
  * Add signing-key from Olivier Fourdan.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Jan 2023 16:02:46 +0200

xorg-server (2:21.1.5-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2022-46340, CVE-2022-46341, CVE-2022-46342, CVE-2022-46343,
      CVE-2022-46344, CVE-2022-46283
  * Add signing-key from Peter Hutterer.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 14 Dec 2022 11:10:24 +0200

xorg-server (2:21.1.4-3) unstable; urgency=medium

  * xkb: proof GetCountedString against request length attacks (CVE-2022-3550)
  * xkb: fix some possible memleaks in XkbGetKbdByName (CVE-2022-3551)

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 11 Nov 2022 13:35:13 +0100

xorg-server (2:21.1.4-2) unstable; urgency=medium

  * 001_fedora_extramodes.patch: Dropped, apparently obsolete since
    1.5.0. (LP: #1990456)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 22 Sep 2022 08:53:59 +0300

xorg-server (2:21.1.4-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2022-2319, CVE-2022-2320 (Closes: #1014903)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 25 Jul 2022 12:46:43 +0300

xorg-server (2:21.1.3-2) unstable; urgency=medium

  * present-Check-for-NULL-to-prevent-crash.patch: Fix a crash with
    nvidia 495.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Feb 2022 12:19:09 +0200

xorg-server (2:21.1.3-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Jan 2022 17:54:12 +0200

xorg-server (2:21.1.1-2) experimental; urgency=medium

  * Fix serverminver.
  * control: Add libxcvt-dev to xserver-xorg-dev depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 27 Nov 2021 11:18:56 +0200

xorg-server (2:21.1.1-1) experimental; urgency=medium

  * New upstream release.
  * 04_compiler_h_inb_outb_mips.diff: Dropped, upstream.
  * Xwayland is dropped from this souce, don't try to build it.
  * Xdmx is gone, drop it from the build.
  * serverminver: Bump versions.
  * control: Bump x11proto-dev and libx1-dev depends.
  * control: Add libxcvt-dev to build-depends, xcvt to -core Recommends.
  * control: Bump libdrm-dev build-depends.
  * Update signing-key.asc.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Nov 2021 16:31:46 +0200

xorg-server (2:1.20.14-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Jan 2022 16:21:08 +0200

xorg-server (2:1.20.13-3) unstable; urgency=high

  * Team upload.
  * record: Fix out of bounds access in SwapCreateRegister() [CVE-2021-4011]
  * xfixes: Fix out of bounds access in *ProcXFixesCreatePointerBarrier() [CVE-2021-4009]
  * Xext: Fix out of bounds access in SProcScreenSaverSuspend() [CVE-2021-4010]
  * render: Fix out of bounds access in SProcRenderCompositeGlyphs() [CVE-2021-4008]

 -- Julien Cristau <jcristau@debian.org>  Tue, 14 Dec 2021 14:38:21 +0100

xorg-server (2:1.20.13-2) unstable; urgency=medium

  * Upload to unstable.
  * Disable building xwayland.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 27 Nov 2021 13:03:35 +0200

xorg-server (2:1.20.13-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Aug 2021 12:27:00 +0300
