=== debian/control ===
--- 
+++ 
@@ -11,9 +11,10 @@
  flex,
  xutils-dev (>= 1:7.6+4),
  xfonts-utils (>= 1:7.5+1),
- x11proto-dev (>= 2018.4),
+ x11proto-dev (>= 2021.5),
  xtrans-dev (>= 1.3.5),
  libxau-dev (>= 1:1.0.5-2),
+ libxcvt-dev,
  libxdmcp-dev (>= 1:0.99.1),
  libxfont-dev (>= 1:2.0.1),
  libxkbfile-dev (>= 1:0.99.1),
@@ -24,7 +25,7 @@
  libudev-dev (>= 151-3) [linux-any],
  libselinux1-dev (>= 2.0.80) [linux-any],
  libaudit-dev [linux-any],
- libdrm-dev (>= 2.4.89) [!hurd-i386],
+ libdrm-dev (>= 2.4.107-5~) [!hurd-i386],
  libgl1-mesa-dev (>= 9.2),
  mesa-common-dev,
  libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
@@ -32,8 +33,7 @@
  libxext-dev (>= 1:0.99.1),
  libx11-dev (>= 2:1.6),
  libxrender-dev (>= 1:0.9.0),
- libxi-dev (>= 2:1.6.99.1),
- libdmx-dev (>= 1:1.0.1),
+ libxi-dev (>= 2:1.8),
  libxpm-dev (>= 1:3.5.3),
  libxaw7-dev (>= 1:0.99.1),
  libxt-dev (>= 1:0.99.1),
@@ -69,10 +69,6 @@
  x11-xkb-utils,
 # arc4random_buf(), getpeereid()
  libbsd-dev,
-# xwayland
- libnvidia-egl-wayland-dev,
- libwayland-dev [linux-any],
- wayland-protocols (>= 1.10) [linux-any],
 #logind
   libdbus-1-dev (>= 1.0) [linux-any],
 # systemd-daemon
@@ -98,6 +94,7 @@
 Recommends:
  libgl1-mesa-dri (>= 7.10.2-4),
  default-logind | logind,
+ xcvt,
 Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
 Breaks:
  libgl1-mesa-dri (<< 18.0.5),
@@ -149,7 +146,8 @@
 Architecture: any
 Depends:
  libpixman-1-dev (>= 0.27.2),
- x11proto-dev (>= 2018.4),
+ x11proto-dev (>= 2021.5),
+ libxcvt-dev,
  libxfont-dev,
  libxkbfile-dev,
  libpciaccess-dev,
@@ -164,42 +162,6 @@
  .
  Unless you are developing or building a driver, you probably want
  xserver-xorg and/or xserver-xorg-core instead.
- .
- More information about X.Org can be found at:
- <URL:https://www.x.org>
- .
- This package is built from the X.org xserver module.
-
-Package: xdmx
-Architecture: any
-Depends:
- xserver-common (>= ${source:Version}),
- ${shlibs:Depends},
- ${misc:Depends},
-Description: distributed multihead X server
- Xdmx is a proxy X server that uses one or more other X servers as its
- display device(s). It provides multi-head X functionality for displays that
- might be located on different machines. Xdmx functions as a front-end X server
- that acts as a proxy to a set of back-end X servers. All of the visible
- rendering is passed to the back-end X servers. Clients connect to the Xdmx
- front-end, and everything appears as it would in a regular multi-head
- configuration. If Xinerama is enabled (e.g., with +xinerama on the command
- line), the clients see a single large screen.
- .
- More information about X.Org can be found at:
- <URL:https://www.x.org>
- .
- This package is built from the X.org xserver module.
-
-Package: xdmx-tools
-Architecture: any
-Depends:
- xdmx,
- ${shlibs:Depends},
- ${misc:Depends},
-Description: Distributed Multihead X tools
- This package provides a collection of tools used for administration of
- the Xdmx server; see the xdmx package for more information.
  .
  More information about X.Org can be found at:
  <URL:https://www.x.org>
@@ -305,17 +267,6 @@
  Unless you are building a software product using X server sources,
  you probably want xserver-xorg and/or xserver-xorg-core instead.
 
-Package: xwayland
-Architecture: linux-any
-Depends:
- xserver-common (>= ${source:Version}),
- ${shlibs:Depends},
- ${misc:Depends},
-Description: Xwayland X server
- This package provides an X server running on top of wayland, using wayland
- input devices for input and forwarding either the root window or individual
- top-level windows as wayland surfaces.
-
 Package: xserver-xorg-legacy
 Architecture: any
 Depends:
