=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 override_dh_autoreconf-arch: abibumpcheck
 	dh_autoreconf
