## xorg-server 21.1.15%2B2revyos1

=== debian/changelog ===
xorg-server (2:21.1.15+2revyos1) unstable; urgency=medium

  * trans format 1.0 to 3.0 (native)
  * modify glx extension installation directory

 -- Han Gao <rabenda.cn@gmail.com>  Mon, 23 Dec 2024 08:05:52 +0000

xorg-server (2:21.1.15-2) unstable; urgency=medium

  * New upstream release.
  * patches: Fix pci detection on recent linux. (Closes: #1075713)

  [ Simo McVittie ]
  * xvfb-run: Special-case "-e /dev/stderr", etc. as redirection
    (Closes: #1087418, #921657)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Dec 2024 08:54:21 +0200

xorg-server (2:21.1.14-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Disable libunwind on armhf (closes: #1084230, #1085704)
  * Check basic functionality of xvfb-run at build-time
  * Add an autopkgtest to verify basic functionality of xvfb-run

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Nov 2024 15:56:38 +0200

xorg-server (2:21.1.14-1) unstable; urgency=high

  * New upstream release
    + CVE-2024-9632: Heap-based buffer overflow privilege escalation in
      _XkbSetCompatMap (closes: #1086244)

 -- Julien Cristau <jcristau@debian.org>  Tue, 29 Oct 2024 17:25:14 +0100

xorg-server (2:21.1.13-3) unstable; urgency=medium

  [ Tobias Heider ]
  * Backport config quirk for apple silicon (closes: #1080099)

  [ Emilio Pozuelo Monfort ]
  * Build-dep on libxcb-util-dev instead of libxcb-util0-dev.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 23 Oct 2024 12:48:58 +0200

xorg-server (2:21.1.13-2) unstable; urgency=medium

  * patches: Fix i386 build with gcc-14.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 15:54:05 +0300

xorg-server (2:21.1.13-1) unstable; urgency=medium

  * New upstream release.
  * Update signing-key.asc.
  * Add upstream metadata, drop old git url from d/watch.
  * control: Migrate to pkgconf.
  * control: Substitute libgl1-mesa-dev build-dep to libglvnd-dev.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 15:18:01 +0300

xorg-server (2:21.1.12-1) unstable; urgency=medium

  * New upstream release.
  * render: Avoid possible double-free in ProcRenderAddGlyphs()
    (closes: #1068470)

 -- Julien Cristau <jcristau@debian.org>  Wed, 10 Apr 2024 10:44:55 +0200

xorg-server (2:21.1.11-3) unstable; urgency=high

  [ Chris Hofstaedtler ]
  * Use udev.pc to place udev files (Closes: #1057945)

  [ Julien Cristau ]
  * Pull from upstream server-21.1-branch:
    - hw/xfree86: fix NULL pointer refrence to mode name
    - Initialize Mode->name in xf86CVTMode()
    - Allow disabling byte-swapped clients
    - Xext: SProcSyncCreateFence needs to swap drawable id too
    - Xi: ProcXIGetSelectedEvents needs to use unswapped length to send
      reply (CVE-2024-31080)
    - Xi: ProcXIPassiveGrabDevice needs to use unswapped length to send
      reply (CVE-2024-31081)
    - Xquartz: ProcAppleDRICreatePixmap needs to use unswapped length to
      send reply (CVE-2024-31082)
    - render: fix refcounting of glyphs during ProcRenderAddGlyphs
      (CVE-2024-31083)
  * dix-Fix-use-after-free-in-input-device-shutdown.patch: drop (now upstream).

 -- Julien Cristau <jcristau@debian.org>  Wed, 03 Apr 2024 21:09:12 +0200

xorg-server (2:21.1.11-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * dix: Fix use after free in input device shutdown (Closes: #1061110)

 -- Julien Cristau <jcristau@debian.org>  Mon, 22 Jan 2024 13:17:07 +0100

xorg-server (2:21.1.11-1) unstable; urgency=medium

  * New upstream release, fixes:
    - CVE-2023-6816
    - CVE-2024-0229
    - CVE-2024-21885
    - CVE-2024-21886
    - CVE-2024-0408
    - CVE-2024-0409

 -- Julien Cristau <jcristau@debian.org>  Tue, 16 Jan 2024 15:33:53 +0100

xorg-server (2:21.1.10-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Fix build on hurd-amd64. Thanks Samuel Thibault. (Closes: #1055412)

  [ Timo Aaltonen ]
  * New upstream release.
    - CVE-2023-6377
    - CVE-2023-6478

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 13 Dec 2023 09:51:20 +0200

xorg-server (2:21.1.9-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2023-5367
    - CVE-2023-5380
    - CVE-2023-5574

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Oct 2023 10:43:00 +0300
