=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 12),
  po-debconf,
  quilt,
- pkg-config,
+ pkgconf,
  bison,
  flex,
  xutils-dev (>= 1:7.6+4),
@@ -25,10 +25,10 @@
  libudev-dev (>= 151-3) [linux-any],
  libselinux1-dev (>= 2.0.80) [linux-any],
  libaudit-dev [linux-any],
- libdrm-dev (>= 2.4.107-5~) [!hurd-i386],
- libgl1-mesa-dev (>= 9.2),
+ libdrm-dev (>= 2.4.107-5~) [!hurd-any],
+ libglvnd-dev,
  mesa-common-dev,
- libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
+ libunwind-dev [amd64 arm64 armel hppa i386 ia64 mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
  libxmuu-dev (>= 1:0.99.1),
  libxext-dev (>= 1:0.99.1),
  libx11-dev (>= 2:1.6),
@@ -43,7 +43,7 @@
  libxfixes-dev (>= 1:3.0.0),
  libxv-dev,
  libxinerama-dev,
- libxshmfence-dev (>= 1.1) [!hurd-i386],
+ libxshmfence-dev (>= 1.1) [!hurd-any],
 # glamor
  libepoxy-dev [linux-any kfreebsd-any],
  libegl1-mesa-dev [linux-any kfreebsd-any],
@@ -55,7 +55,7 @@
  libxcb-shape0-dev,
  libxcb-render0-dev,
  libxcb-render-util0-dev,
- libxcb-util0-dev,
+ libxcb-util-dev,
  libxcb-image0-dev,
  libxcb-icccm4-dev,
  libxcb-shm0-dev,
@@ -65,7 +65,9 @@
  libxcb-glx0-dev,
  libxcb-xf86dri0-dev (>= 1.6),
 # unit tests
+ xauth <!nocheck>,
  xkb-data,
+ x11-utils <!nocheck>,
  x11-xkb-utils,
 # arc4random_buf(), getpeereid()
  libbsd-dev,
@@ -73,6 +75,7 @@
   libdbus-1-dev (>= 1.0) [linux-any],
 # systemd-daemon
   libsystemd-dev [linux-any],
+  systemd-dev [linux-any],
 Build-Depends-Indep: xz-utils
 Standards-Version: 3.9.8
 Rules-Requires-Root: binary-targets
