=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 include debian/rules.flags
 
 include /usr/share/dpkg/architecture.mk
+
+ifeq ($(DEB_HOST_ARCH_OS), linux)
+deb_udevdir = $(shell pkg-config --variable=udevdir udev)
+endif
 
 %:
 	dh $@
@@ -40,7 +44,11 @@
 	dh_auto_build --builddirectory=debian/build/udeb
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test -- -j1 VERBOSE=1
+	# Check basic functionality of Xvfb
+	PATH="debian/build/main/hw/vfb:$$PATH" sh debian/local/xvfb-run -a -e /proc/self/fd/2 -s -noreset xdpyinfo
+endif
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=debian/build/main \
@@ -129,10 +137,10 @@
 	install -m 755 -d debian/xserver-xorg-core/usr/share/bug/xserver-xorg-core
 	install -m 755 debian/xserver-xorg-core.bug.script debian/xserver-xorg-core/usr/share/bug/xserver-xorg-core/script
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-	install -d debian/xserver-xorg-core/lib/udev/rules.d
-	install -m 644 debian/local/64-xorg-xkb.rules debian/xserver-xorg-core/lib/udev/rules.d
-	install -d debian/xserver-xorg-core-udeb/lib/udev/rules.d
-	install -m 644 debian/local/64-xorg-xkb.rules debian/xserver-xorg-core-udeb/lib/udev/rules.d
+	install -d debian/xserver-xorg-core$(deb_udevdir)/rules.d
+	install -m 644 debian/local/64-xorg-xkb.rules debian/xserver-xorg-core$(deb_udevdir)/rules.d
+	install -d debian/xserver-xorg-core-udeb$(deb_udevdir)/rules.d
+	install -m 644 debian/local/64-xorg-xkb.rules debian/xserver-xorg-core-udeb$(deb_udevdir)/rules.d
 endif
 
 override_dh_missing-indep:
