=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/" \
https://xorg.freedesktop.org/releases/individual/xserver/ xorg-server-(.*)\.tar\.gz
